---
layout: cp
title: MoneroKon 2025 CCS
author: hbs
date: February 24, 2024
amount: 99
milestones:
  - name: Funding goal reached
    funds: 99
    done: 19 March 2025
    status: finished
payouts:
  - date: 3 April 2025
    amount: 99
---

# Table of Contents

- [Who?](#who)
- [What?](#what)
- [Amount](#amount)
- [Exchange Rate](#exchange-rate)

# Who:

I, hbs, am one of many MoneroKon staff members contributing to this funding proposal. I have been actively involved with the Monero project for several years and have taken part in MoneroKon organizing team since its 2022 edition in Prague. This CCS proposal is intended to support the work of a larger team, not just my own. Active community members, including ajs, midipoet, monerobull, franciscom, dadajo, comradeblin, Siren, ceetee, recanman, and others, coordinate and hold weekly meetings in the [#monerokon Matrix room](https://matrix.to/#/#monerokon:matrix.org).
In 2024, a Czech non-profit [Twisted Edwards z.s.](https://twed.org/) was set up to support education and scientific research in cryptography, distributed systems, and information technology security. Siren, ajs, and midipoet volunteered as directors of Twisted Edwards z.s., with their roles confirmed through community voting. Twisted Edwards z.s. oversees the organization of MoneroKon and is responsible for contracting essential services, including the venue, A/V staff, equipment rentals, food trucks, storage, and more.
As of 19 February 2025, Twisted Edwards holds approximately 32,200 EUR in stablecoins in a [Safe Polygon multisig wallet](https://polygonscan.com/address/0x22942517e3eDEF1e1016070951a7081F99AE50A3) and 105.43 XMR in a hardware wallet in accordance with the [Cryptocurrency Funds Management Policy](https://github.com/MoneroKon/meta/blob/main/policies/funds-management-policy.md).
All MoneroKon staff members are unpaid volunteers.

# What

[Monero Konferenco (“MoneroKon”)](https://www.monerokon.org/) is an annual gathering of privacy advocates, cypherpunks, scientists, and philosophers focused on advancing privacy and financial technologies such as censorship-resistant digital cash. The event first took place in Denver, Colorado in 2019, and after a hiatus due to COVID-19, it resumed in Lisbon, Portugal in 2022. In 2023 and 2024, MoneroKon was held in Prague.
The popularity of MoneroKon has steadily increased, with growing attendance over the years:

* 2019 - Denver - 73 attendees - [27 speakers](https://www.youtube.com/playlist?list=PLsSYUeVwrHBkJHJg_l2uDgbicDJ1PmAVW)
* 2022 - Lisbon - 160 attendees - [40 speakers](https://www.youtube.com/playlist?list=PLsSYUeVwrHBndRQoQ-vLezzlHPLRDNzaw) |
* 2023 - Prague - 200 attendees - [~40 speakers](https://www.youtube.com/playlist?list=PLsSYUeVwrHBm1m7IaU3JiDVb5EC7cn0KG) |
* 2024 - Prague - 300 attendees - [~40 speakers](https://www.youtube.com/playlist?list=PLsSYUeVwrHBk-C3zImaDAQLx453PL7dR-) |

Previous MoneroKon editions in [2019](https://forum.getmonero.org/22/completed-tasks/90909/surae-noether-first-denver-monero-konferenco-spring-2019) ([postmortem](https://github.com/ajs-xmr/mrl-skunkworks-mirror/blob/master/Konferenco/2019/postmorto.md#1-budget-actuals)), [2022](https://ccs.getmonero.org/proposals/MoneroKon-2022-CCS.html), and [2023](https://ccs.getmonero.org/proposals/monerokon-2023-ccs-1.html) were partially funded through the CCS. For MoneroKon 2024, the organizers aimed to make the event self-funded through ticket sales and sponsorships. A concerted effort was made to keep costs low, such as by renting a smaller section of the venue. The previous edition taught us that a smaller, more intimate space created a better experience for all attendees. Feedback confirmed that this was a successful change. Moreover, cost savings efforts resulted in approximately 20,000 EUR net surplus, which has been rolled over to finance future editions of the conference.

For MoneroKon 2025, we also aim to achieve self-funding through ticket sales and sponsorships. However, as of February 2025, several [sponsor slots](https://www.monerokon.org/sponsor.html) remain unfilled. The funds raised so far, combined with the surplus from the previous edition and projected ticket sales, suggest a potential shortfall for paying some major suppliers on time. Additionally, some community members have expressed concerns about seeking sponsorships from "pre-mined" or "dev-tax" funded projects, contributing to delays in sponsor outreach efforts. Given the economic uncertainty, we are requesting community funding via this CCS proposal to bridge the gap until ticket sales and sufficient sponsorships are fully secured.

Compared to earlier editions, MoneroKon 2025 has a more modest budget. The [current budget](https://cryptpad.monerokon.org/sheet/#/2/sheet/view/t+QGKaxkHNqtRn2HKQlM168Cddh5G3uh6aO7uuyGnOc/embed/) will remain balanced if sponsorships and ticket sales meet the specified targets. To ensure the event proceeds smoothly, the organizing team is requesting 20,000 EUR in funding as a safety buffer. The funds raised will be used for MoneroKon-related expenses. Any leftover funds will be allocated to future editions of the conference.

MoneroKon 2025 Budget Breakdown:

* La Fabrika, event venue - 33,520 EUR - 42.6% of total
* A/V and livestreaming - 4,612.2 EUR - 5.9% of total
* [Speaker](https://github.com/MoneroKon/meta/blob/main/policies/contributor-travel.md) and [staff](https://github.com/MoneroKon/meta/blob/main/policies/staff-travel.md) travel reimbursement - 9,000 EUR - 11.4%
* IT Stuff - 4,000 EUR - 5.1%
* Accounting and tax related expenses - 6,260 EUR - 8%

The "IT Stuff" category is a one-time investment in network and IT infrastructure. This equipment will be reused for future editions, as we cannot rely on the venue’s Wi-Fi to meet the high standards expected by our attendees. The investment includes dedicated local nodes (one for P2P and one for RPC) to ensure the best possible Monero transaction experience. It will also allow us to set up multiple screens with high-quality livestreaming, reducing the need for extra rental equipment.

As attendee numbers continue to grow, MoneroKon 2025 is likely to be the last edition at this venue. The organizing team has already begun scouting alternative venues for MoneroKon 2026, and initial findings suggest that venue costs may be lower, further reducing the need for community funding.

# Amount and milestone

The MoneroKon 2025 organizing team is seeking to raise 99 XMR and, given the nature of event organization and the track record of the team for delivering the previous editions, proposes a single milestone for full amount released on reaching funding goal.
# Exchange rate
20,000 EUR / 223.650 EUR ([EMA50 Euro monthly rate](https://www.investing.com/crypto/monero/xmr-eur-technical)) + 10% volatility buffer = 99 XMR
