---
layout: cp
title: knueffelbund GUI design for Q2 2019
author: knueffelbund
date: 3 April 2019
amount: 37
milestones:
  - name: April
    funds: 33% (12 XMR)
    done: 30 April 2019
    status: finished
  - name: May
    funds: 33% (12 XMR)
    done: 13 May 2019
    status: finished
  - name: June
    funds: 33% (13 XMR)
    done: 30 June 2019
    status: finished
payouts:
  - date: 8 August 2019
    amount: 37


---
Hi,

This is my first proposal, but I've been contributing to the design of the Monero GUI wallet [since November, 2017](https://www.reddit.com/r/Monero/comments/7c0bo7/had_some_fun_yesterday_evening_restyling_the/). You can see the designs I've done so far on [Github](https://github.com/GBKS/monero-wallet-design) and [Zeplin](https://scene.zeplin.io/project/5a0777492a92d8ac5beb3125). I also designed and built [ExploreMonero.com](https://www.exploremonero.com) and organize my crypto UX research [here](https://www.cryptouxhandbook.com/). The GUI team has really picked up the pace of development the past few months, and I'd like to continue supporting them with design work as much as I can. That's why I'm putting this proposal together.

A lot of my work as a UX designer has to do with usability. For example, I recently did some [user testing](https://paper.dropbox.com/doc/Monero-GUI-user-testing--AaiYNKmVg5Vjqt5_ik~UEsoMAg-YAWmy01OJa5vkmdQvt6wg) on the wallet, in which it become clear that the mnemonic seed section during wallet creation is easily missed by users. So I created a [design and proposal](https://github.com/monero-project/monero-gui/issues/2043) to move this part into a separate screen. I'm just mentioning this because my proposed work is all about usability improvements, not about changing the visual styling of the wallet (other than the new white theme). Good usability his hugely important if want Monero to become more widely used.

Things I'd like to work on the next 3 months:

- Iterate the merchant page ([first draft](https://www.dropbox.com/s/kf1t5hmip64kpuk/monero-merchant-page-gbks-190314.png?dl=0))
- Address more feedback from the [user testing session](https://paper.dropbox.com/doc/Monero-GUI-user-testing--AaiYNKmVg5Vjqt5_ik~UEsoMAg-YAWmy01OJa5vkmdQvt6wg), particularly the first steps after wallet creation
- Revise send flow (which currently involves 4 differently styled overlays)
- Make it more obvious how accounts and addresses are organized in the wallet
- Make it more inituitive to add transactions descriptions and manage your address book
- Support implementation of the white theme
- Work with Electricsheep01 to integrate [his ideas](https://github.com/monero-project/monero-gui/issues/2024) into the wallet design

If the community has other priorities for design improvements (how about a [mobile app](https://www.dropbox.com/s/inodkkm8xjv7sry/Monero-mobile-concept-gbks-180823.png?dl=0)?), I'd be happy to switch things up.

All my work is directly done in high-fidelity designs (vs wireframes, which are more helpful when creating new software vs iterating existing software). All designs will be publicly posted in Github and Zeplin, and open for discussion via Reddit and Github issues ([example](https://www.reddit.com/r/Monero/comments/ae6zet/feedback_required_wizard_redesign_icons/)).

The funding amount is based on the following math:

- 60 hours = 5 hours per week for 12 weeks (~3 months)
- 0.6289 XMR per hour ($30 + 0.2 XMR per hour at 1 XMR = $69.95)
- 60 hours * 0.6289 XMR per hour = ~37 XMR

Let me know if you have any questions, and thanks in advance for your support.