---
layout: cp
title: Revuo Monero maintenance (2024 Q4)
author: rottenwheel
date: September 2, 2024
amount: 8.5
milestones:
  - name: October
    funds: 3
    done: 1 November 2024
    status: finished
  - name: November
    funds: 3
    done: 28 November 2024
    status: finished
  - name: December
    funds: 2.5
    done: 26 December 2024
    status: finished
payouts:
  - date: 12 November 2024
    amount: 3
  - date: 6 December 2024
    amount: 3
  - date: 12 January 2025
    amount: 2.5
---

# What

I will maintain Revuo Monero (https://www.revuo-xmr.com/) for the next 3 months (2024 Q4): October, November and December. There is a chance I may skip one week to tend to real life issues, in such case, next issue will just cover 2 weeks instead of the usual 1.

Tasks:

- Daily/weekly: search, curate, structure and publish new issues.
- As Needed: outreach (engage with the community on Matrix, XMPP, e-mails, social media, Workgroup channels).
- As Needed: make sure the website is live and working as expected (server maintenance, billing, etc.)
- As Needed: cover code enhancements/fixes expenses, sysadmin consultations and additional Revuo tools/services for the community. 

# Who

rottenwheel, I joined the Monero community some time in 2017 by jumping into IRC, attending some Workgroup meetings, volunteering at the Monero village at DEFCON 28 in 2019 (https://redlib.zaggy.nl/r/Monero/comments/cqegma/monero_village_defcon_2019_report/), participating in community events and being involved with other community-driven, smaller projects.

As a proof of work for this specific proposal, I have, since January 2022 until now, written almost 200 issues, 195 of which were published in current Revuo's self-hosted website. That does not take into account the following enhancements.

Up to this point, all efforts behind Revuo Monero's comeback after Diego "rehrar" Salazar was let go and Revuo Monero's publication was paused for a few months, include but are not limited to:

- Light/dark theme with a toggle button (mostly in CSS/HTML, minimizing the reliance in JavaScript as much as possible; site loads everything just fine in Tor browser with strict security mode on.)
- Support and Source Code sections added.
- RSS and Support icons.
- Google fonts removed.
- Twitter and Nostr profiles set up and posting new issues every week automatically. Twitter: https://nitter.poast.org/revuoxmr; Nostr: https://primal.net/p/npub1tn8spk9zhxrctg2qym3gj8r7eq2wk6z3phrl8304wc54vt9qam4qvzw6jx

**New**: Revuo Calc, a moner.ooo fork that had its original code shrunk by half (# of total lines), improved upon and it offers 2 versions, adjusted according visitor's browser settings: JavaScript-free front and JavaScript-friendly front; think of Tor users and clearnet users. The cherry on top? Its own subdomain hidden service as well. See: https://calc.revuo-xmr.com/ // Source code: https://github.com/rottenwheel/moner.ooo/ 

# Proposal

I will publish weekly issues (4 per month) at a rate of $120 / issue. Using MA10 - Moving Average 10 (10 days) of ~$170 / XMR at the time of writing this proposal, this makes for **8.5 XMR** (~8.47058++...) [(120 * 4) * 3 = $1440) to be split in three (3) monthly milestones. Rounding ~8.47058++... XMR to 8.5 XMR to cover for price votatility between Work In Progress phase and progressive milestone(s) payouts.
